from PyQt5.QtCore import QCoreApplication


#
# This variant of the function causes pylupdate to enter an endless loop
# causing 100% CPU load.
#
def timeString(timeRemaining):
    """
    Module function to format the given time.
    
    @param timeRemaining time to be formatted
    @type float
    @return time string
    @rtype str
    """
    if timeRemaining < 10:
        return QCoreApplication.translate(
            "DownloadUtilities", "few seconds remaining")
    elif timeRemaining < 60:    # < 1 minute
        return QCoreApplication.translate(
            "DownloadUtilities", "%n seconds remaining", "", int(timeRemaining))
    elif timeRemaining < 3600:  # < 1 hour
        return QCoreApplication.translate(
            "DownloadUtilities", "%n minutes remaining", "", int(timeRemaining / 60))
    else:
        return QCoreApplication.translate(
            "DownloadUtilities", "%n hours remaining", "", int(timeRemaining / 3600))


#
# Changing the function to a form like this makes pylupdate to work as
# expected.
#
def timeString2(timeRemaining):
    """
    Module function to format the given time.
    
    @param timeRemaining time to be formatted
    @type float
    @return time string
    @rtype str
    """
    if timeRemaining < 10:
        return QCoreApplication.translate(
            "DownloadUtilities", "few seconds remaining")
    elif timeRemaining < 60:    # < 1 minute
        seconds = int(timeRemaining)
        return QCoreApplication.translate(
            "DownloadUtilities", "%n seconds remaining", "", seconds)
    elif timeRemaining < 3600:  # < 1 hour
        minutes = int(timeRemaining / 60)
        return QCoreApplication.translate(
            "DownloadUtilities", "%n minutes remaining", "", minutes)
    else:
        hours = int(timeRemaining / 3600)
        return QCoreApplication.translate(
            "DownloadUtilities", "%n hours remaining", "", hours)
